#include <iostream>
#include <fstream>
#include <algorithm>
using namespace std;
int main()
{
    ifstream f1;
    f1.open ("DC.INP");
    ofstream f2;
    f2.open("DC.OUT");
    int n,m;
    f1>>n>>m;
    int i;
    int u[n];
    int v[m];
    for (i=0;i<n;i++)
    {
    	f1 >>u[i];
    }
    for (i=0;i<m;i++)
    {
    	f1>>v[i];
	}
    sort(u,u+n);
    sort(v,v+m);
    int j;
    int dem=0;
    for (i=0;i<n;i++)
    {
    	for (j=0;j<m;j++)
    	{
    		if (u[i]==v[j])
    		{
    			dem++;
    			break;
    		}
    		if (u[i]<v[j]) break;
    	}
    }
    f2<<dem<<endl;
    for (i=0;i<n;i++)
    {
    	for (j=0;j<m;j++)
    	{
    		if (u[i]==v[j])
    		{
    			f2<<u[i]<<' ';
    			break;
			}
			if (u[i]<v[j]) break;
		}
	}
    f1.close();
    f2.close();
    return 0;
}

